<?php
/**
 * Plugin Name: DV Loading
 * Plugin URI: https://codecanyon.net/item/dv-loading-wordpress-site-preloader-plugin/17263278
 * Description: WordPress Site Preloader Plugin
 * Version: 2.1
 * Author: 20script
 * Author URI: http://www.20script.ir
 * License: http://codecanyon.net/licenses
 * Text Domain: dvloading
 * Domain Path: /languages/
 */

defined( 'ABSPATH' ) || exit;

/* ---------------------------------------------------------
Custom Metaboxes - github.com/WebDevStudios/CMB2
----------------------------------------------------------- */

// Check for PHP version
$dvloadingdir = ( version_compare( PHP_VERSION, '5.3.0' ) >= 0 ) ? __DIR__ : dirname( __FILE__ );

if ( file_exists(  $dvloadingdir . '/cmb2/init.php' ) ) {
    require_once($dvloadingdir . '/cmb2/init.php');
} elseif ( file_exists(  $dvloadingdir . '/CMB2/init.php' ) ) {
    require_once($dvloadingdir . '/CMB2/init.php');
} 

// Custom CMB2 field
require_once('cmb2-radio-image.php');

// CMB2 Conditionals
require_once('cmb2-conditionals.php');

// Settings
require_once('settings.php');

// Include other required files

$mode = dvloading_get_option('dvloading_options','placement','allpages');

if (($mode != 'disable') && ($mode != 'shortcodemode')) {
    include_once('dvloading-class.php');
} elseif (($mode != 'disable') && ($mode == 'shortcodemode')) {
    include_once('shortcode.php');
}

/* ---------------------------------------------------------
Admin scripts
----------------------------------------------------------- */

function dvloading_settings_scripts($hook){
    if (( 'toplevel_page_dvloading_options' == $hook ) || ( 'dv-loading_page_dvloading_options_1' == $hook ) || ( 'dv-loading_page_dvloading_options_2' == $hook )) {
        wp_enqueue_style('dvloading-settings', plugin_dir_url( __FILE__ ) . 'css/admin.css', false, '1.0');
        wp_enqueue_script( 'dvloading-settings', plugin_dir_url( __FILE__ ) . 'js/admin.js', array( 'jquery' ), '1.0', true ); 
        wp_enqueue_script( 'cmb2-conditionals', plugin_dir_url( __FILE__ ) . 'js/cmb2-conditionals.js', array( 'jquery' ), '1.0', true ); 
    } else {
        return;
    }
}
add_action( 'admin_enqueue_scripts', 'dvloading_settings_scripts' );

/* ---------------------------------------------------------
Get Fonts
----------------------------------------------------------- */

function dvloading_get_fonts() {
    $fonts = array(
        'default' => esc_html__( 'Theme Default', 'dvloading' ),
        '"Helvetica Neue", "Helvetica", "Arial", sans-serif' => esc_html__( 'Helvetica Neue', 'dvloading' ),
        'Georgia, serif' => esc_html__( 'Georgia', 'dvloading' ),
        '"Palatino Linotype", "Book Antiqua", Palatino, serif' => esc_html__( 'Palatino Linotype', 'dvloading' ),
        '"Times New Roman", Times, serif' => esc_html__( 'Times New Roman', 'dvloading' ),
        'Arial, Helvetica, sans-serif' => esc_html__( 'Arial', 'dvloading' ),
        '"Arial Black", Gadget, sans-serif' => esc_html__( 'Arial Black', 'dvloading' ),
        '"Comic Sans MS", cursive, sans-serif' => esc_html__( 'Comic Sans', 'dvloading' ),
        'Impact, Charcoal, sans-serif' => esc_html__( 'Impact', 'dvloading' ),
        '"Lucida Sans Unicode", "Lucida Grande", sans-serif' => esc_html__( 'Lucida Sans', 'dvloading' ),
        'Tahoma, Geneva, sans-serif' => esc_html__( 'Tahoma', 'dvloading' ),
        '"Trebuchet MS", Helvetica, sans-serif' => esc_html__( 'Trebuchet', 'dvloading' ),
        'Verdana, Geneva, sans-serif' => esc_html__( 'Verdana', 'dvloading' ),
        '"Courier New", Courier, monospace' => esc_html__( 'Courier New', 'dvloading' ),
        '"Lucida Console", Monaco, monospace' => esc_html__( 'Lucida Console', 'dvloading' )
    );
    return $fonts;
}